baseURL = "https://jamesmcdonald.com/"
defaultContentLanguage = "en"
languageCode = "en-gb"
title = "James McDonald"
theme = "ananke"
disqusShortname = "jamesmcdonald"
disableHugoGeneratorInject = true
enableRobotsTXT = true

# Required to get well formatted code blocks
pygmentsUseClasses = true
pygmentsCodeFences = true
disablePathToLower = true
enableGitInfo = true

[markup]
  [markup.goldmark.renderer]
    unsafe = true
  [markup.tableOfContents]
    startLevel = 1
    endLevel = 9

[taxonomies]
  author = "authors"
  tag = "tags"

#[[menu.sidebar]]
#  name = "GitLab"
#  url = "https://gitlab.com/jamesmcdonald/"

#[[menu.sidebar]]
#  name = "GitHub"
#  url = "https://github.com/jamesmcdonald/"

#[[menu.sidebar]]
#  name = "Twitter"
#  url = "https://twitter.com/0xfce2/"

#[[menu.sidebar]]
#  name = "LinkedIn"
#  url = "https://www.linkedin.com/in/james-mcdonald-4300202/"

[params]
  author = "James McDonald"
  description = "Stuff I wrote about things"
  sharingicons = false
  version = "2.0.X"

  [params.sidebar]
    about = "I like to do things to do with computers and occasionally write about those things. And other things, besides.<br><br>[Read more →](/about)"

#  [params.social]
#    twitter = "0xfce2"


[menu]
  [[menu.main]]
    name = "About"
    url = "/about/"
    weight = 2
  [[menu.main]]
    name = "Presentations"
    url = "/presentations/"
    weight = 2
  [[menu.main]]
    name = "Posts"
    url = "/posts/"
    weight = 3

